// JavaScript Document

var  permit1=0;
var  permit2=0;
var  permit3=0;
var  permit4=0;


function  reg_validate()
      {
              
			   if (document.form1.username.value.length==0)
			   {
				  alert("[软件提示]：请输入用户名");
				   document.form1.username.focus();
				   return false;
			   }
			   
			   
			    if (document.form1.username.value.length<3)
			   {
				   alert('[软件提示]：用户名字符长度太短,应多于3个字符');
				   document.form1.username.focus();
				   return false;
			   }
			   if (document.form1.pass1.value.length==0)
			   {
				   alert("[软件提示]：请输入密码"); 
				   document.form1.pass1.focus();
				   return false;
			   }
			 
			   if (document.form1.pass2.value.length==0)
			   {
				   alert("[软件提示]：请重复输入密码"); 
				   document.form1.pass2.focus();
				   return false;
			   }
			 
			   //if (document.form1.pass1.value!=document.form1.pass2.value)
			   {
				  // alert("[软件提示]：前后密码不一致"); 
				  // document.form1.pass1.focus();
				  // return false;
			   }
			 
			  
			  // if (document.form1.email.value.length==0)
			   {
				  // alert("[软件提示]：请输入电子邮件地址"); 
				   //document.form1.email.focus();
				  // return false;
			   }
			   
			  
			    if (document.form1.qq.value.length==0)
			   {
				   alert("[软件提示]：请输入QQ号码"); 
				   document.form1.qq.focus();
				   return false;
			   }
			  
			   if  (permit1==1) 
			   {
				   alert("[软件提示]：密码前后不正确");
				   document.form1.pass1.focus();
				   return false
			   }
			   
			  // if  (permit2==1) 
			   {
				  // alert("[软件提示]：Email格式不正确，请正确填写 ");
				  // document.form1.email.focus();
				  // return false
			   }
			   
			   
			    if  (permit3==1) 
			   {
				   alert("[软件提示]：QQ号码字符不正确，请正确填写 ");
				   document.form1.qq.focus();
				   return false
			   }
			 
			 
			   var attachCode = document.form1.attach.value;
			  
               if(attachCode.length <=0)
                {
                     alert("[软件提示]：请输入验证码！");
					 document.form1.attach.focus();
					 return false;
                }
               if(attachCode.toUpperCase()!=code)
               {
                   alert("[软件提示]：验证码输入错误！");
                   createCode();//刷新验证码
				   document.form1.attach.focus();
				   return false;
				   
               }
			 
               else  if (permit1==0  && permit2==0  && permit3==0  &&permit4==0) 
               {
                   //alert("^-^ OK");
				   document.form1.action='register_process.php';
				   document.form1.submit();
               }
			   
			   
       
        }
		


function jscheck_pass(pass1,pass2)
{
		
		
		if (pass1==""  ||  pass2=="") 
		    return false;
			
         if  ( pass1!=pass2 )
		 {   
		       
                document.getElementById("info1").innerHTML=display_info1('密码不正确');
				permit1=1;
                return   false;
		}   
		else
		{
			   
                document.getElementById("info1").innerHTML=display_info2('密码正确');
				permit1=0;
                return   false;
			  
		}
       

}







function setmail(strEmail)
{
	  
	  
				
         var   sReg=/[_a-zA-Z\d\-\.]+@[_a-zA-Z\d\-]+(\.[_a-zA-Z\d\-]+)+$/;   
          if  (!sReg.test(strEmail) ){   
            document.getElementById("info2").innerHTML=display_info1(strEmail+'   格式不正确'); 
			permit2=1; 
            return   false;
			}   
		 else
		 {
			document.getElementById("info2").innerHTML=display_info2(strEmail+'   格式正确');  
			permit2=0;
			return   false;
		 }
       

}


function jscheck_qq(qq) 
{ 
  
     var Letters='1234567890'; 
     var i; 
     var c; 
	 c=0;
	 var flag=0;
      for( i=0; i<qq.length; i++ ) 
     { 
          // c=String.charAt(i); 
		   c=Letters.indexOf(qq.charAt(i));
	
           if (c==-1) 
          { 
			   flag=1;
			   break;
           } 
		
     } 
	 
      if  (flag==1)
	  {
		   document.getElementById("info3").innerHTML=display_info1('QQ号码字符不正确'); 
		   permit3=1; 
		   return false;
	  }
	  else
	  {
		   document.getElementById("info3").innerHTML=display_info2('QQ号码字符正确');  
		   permit3=0; 
		   return false;
	  }
   
} 


function jscheck_unvalid_char(sss) 
{ 
  
     var Letters='~!@#$%^&*()';    ///-----在此表中都是非法的------------------------
     var i; 
     var c; 
	 c=0;
	 var flag=0;
      for( i=0; i<sss.length; i++ ) 
     { 
          // c=String.charAt(i); 
		   c=Letters.indexOf(sss.charAt(i));
	
           if (c==-1) 
          { 
			   flag=1;
			   break;
           } 
		
     } 
	 
      if  (flag==1)
	  {
		   //document.getElementById("info").innerHTML=display_info1('不允许特殊字符存在'); 
		   permit4=0; 
		   return false;
	  }
	  else
	  {
		  document.getElementById("info").innerHTML=display_info1('不允许特殊字符存在'); 
		  
		   permit4=1; 
		   return false;
	  }
   
} 




function display_info1(info)
{
	
	   
	            var   dis1;
				
		        dis1='<table width=98% border=0 cellspacing=0 cellpadding=0>';
                dis1=dis1+'  <tr>';
                dis1=dis1+' <td width=60% height=20 bgcolor=#eeeeee><font color=red>'+info+'</font></td>';
                dis1=dis1+' <td width=40% bgcolor=#FFFFFF>&nbsp;</td>';
                dis1=dis1+' </tr>';
                dis1=dis1+' </table>';
				
				return  dis1;
	
}



function display_info2(info)
{
	
	   
	            var   dis1;
				
		        dis1='<table width=98% border=0 cellspacing=0 cellpadding=0>';
                dis1=dis1+'  <tr>';
                dis1=dis1+' <td width=60% height=20 bgcolor=#eeeeee><font color=green>'+info+'</font></td>';
                dis1=dis1+' <td width=40% bgcolor=#FFFFFF>&nbsp;</td>';
                dis1=dis1+' </tr>';
                dis1=dis1+' </table>';
				
				return  dis1;
	
}










function  login_check()
      {
              
			   if (document.form1.username.value.length==0)
			   {
				   alert("[软件提示]：请输入用户名");
				   document.form1.username.focus();
				   return false;
			   }
			  
			   if (document.form1.pass1.value.length==0)
			   {
				   alert("[软件提示]：请输入密码"); 
				   document.form1.pass1.focus();
				   return false;
			   }
			 
			   var attachCode = document.form1.attach.value;
			  
               if(attachCode.length <=0)
                {
                     alert("[软件提示]：请输入验证码！");
					 document.form1.attach.focus();
					 return false;
                }
               if(attachCode.toUpperCase()!=code)
               {
                   alert("[软件提示]：验证码输入错误！");
                   createCode();//刷新验证码
				   document.form1.attach.focus();
				   return false;
				   
               }
			 
               else 
               {
                   //alert("^-^ OK");
				   document.form1.action='check_login.php';
				   document.form1.submit();
               }
			   
			   
       
        }
		










		
		
		